@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

*{
    box-sizing: border-box;
    font-family: 'Work Sans';
    margin: 0;
    padding: 0;
}
html{
     scroll-behavior: smooth; /*me permite deslizar cuando hago click en los links del menu */
} 
/*MENU*/
.contenedor-header{
    background: #f0f1f3;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
}
.contenedor-header header{
    max-width: 1100px;
    margin: auto;
    display: flex;
    align-items: center;
    padding: 15px 15px;
    justify-content: space-between;
    font-family: 'Righteous';
    font-size: 18px;
    font-weight: 500;
}
.contenedor-header header .logo a{
    font-size: 35px;
    text-decoration: none;
    color: #195f9b
}
.contenedor-header header ul{
    display: flex;
    list-style: none;
    align-items: center;
}
.contenedor-header header nav ul li a{
    text-align: none;
    margin:200px 15px;
    padding: 3px;
    transition: .50s;
    text-decoration: none;
    color: #195f9b
}
.contenedor-header header nav ul li a:hover{
    color: #183153;
}
.nav-reponsive{
    background-color: #528dd7;
    color: #ffffff;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
}
.home{
    background-color: #f0f1f3;
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10%;
}
.home .home-content{
    padding: 10% 0 10% 10%; /* top, right, bottom, left */; /* top, right, bottom, left */
    display: block;
    justify-content:space-around;
    max-width: 50%;
}
.home .home-content h1{
    font-family: 'Righteous';
    font-size: 3.7rem;
    font-weight: 700;
    line-height: 1.3;
    color: #195f9b;
}
.home .home-content h2{
    font-family: 'Righteous';
    font-size: 2rem;
    font-weight: 300;
    color: #323232;
}
.home .home-content p{
    font-size: 1.2rem;
    font-weight: 500;
    margin: 1rem 0 2rem;
    color: #323232;
}
.home .home-content .button-container{
    display: inline-flex;
    align-items: center;
    margin-top: 10px;
}
.home .home-content .button-container i {
    margin-left: 15px;
    font-size: 35px;
}
.home .home-content .button{
    border: 3px solid #183153;
    background-color: #183153;
    width: 160px;
    height: 50px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.home .home-content .button:hover{
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}
.button-container .button a{
    font-size: 20px;
    font-weight: normal;
    color:#f0f1f3;
    text-decoration: none;
    cursor: pointer;
    font-weight: bold;
}
.button-container .redes a{
    font-size: 20px;
    font-weight: normal;
    color: #183153;
    cursor: pointer;    
}
.home .home-img{
    max-width: 50%;
    align-items: start;
    padding: 10% 5% 10% 5%; /* top, right, bottom, left */
}
.home .home-img img{
    border-radius: 100%;
    max-width: 80%;
}
.about-me{
    height: 98vh;
    background-color: #ffffff;
    text-align: center;
    padding: 10vh;
}
.about-me h2{
    font-family: 'Righteous';
    font-size: 3.7rem;
    font-weight: 700;
    line-height: 1.3;
    color: #195f9b;
    padding-top: 2rem;
}
.about-me-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 3rem;
}
.about-me-box{
    flex: 1 1 20rem;
    background-color: #f0f1f3;
    padding: 2rem 1rem 3rem;
    border-radius: 2rem;
    text-align: center;
    min-height: 409.6px;
}
.about-me-box i{
    font-size: 2rem;
    color: #183153;
    margin: 1rem;
}
.about-me-box h3{
    font-size: 1.7rem;
    margin-bottom: 1rem;
}
.about-me-box h4{
    font-size: 1.2rem;
}
.about-me-box p{
    font-size: 1.2rem;
    margin-bottom: 1rem;
}
.portfolio{
    background-color: #f0f1f3;
    text-align: center;
    padding: 10vh;
}
.portfolio h2{
    font-family: 'Righteous';
    font-size: 3.7rem;
    font-weight: 700;
    line-height: 1.3;
    color: #195f9b;
    padding-bottom: 3rem;
}
.portfolio-container{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    justify-items: center;
    gap: 2.5rem;
}
.portfolio-container .portfolio-box{
    position: relative;
    overflow: hidden;
    max-width: 70%;
}
.portfolio-box img{
    width: 100%;
}
.portfolio-box img:hover{
   box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}
.portfolio-box .portfolio-layer{
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    padding: 1rem;
}
.portfolio-box .portfolio-layer h4{
    font-size: 1.5rem;
    font-weight: 700;
    color: #183153;
}
.portfolio-box .portfolio-layer p{
    font-size: 1rem;
}
/* CONTACT ME */
.contact{
    background-color: #ffffff;
    text-align: center;
    padding: 10vh;
}
.contact h2{
    font-family: 'Righteous';
    font-size: 3.7rem;
    font-weight: 700;
    line-height: 1.3;
    color: #195f9b;
    padding-bottom: 3rem;
}
.contact form{
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}
.contact form .input-box{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-size: 1rem;
    color: #183153;
    background-color: #f0f1f3;
    border-radius: .8rem;
    margin: .7rem 0;
    border: 0.1rem solid #183153;
}
.contact form .input-box input{
    width: 49%;
}
.contact form textarea{
    resize: none;
}
.contact form .btn{
    margin: 1rem;
    cursor: pointer;
    border: 3px solid #183153;
    background-color: #183153;
    width: 160px;
    height: 50px;
    border-radius: 10px;
    font-size: 20px;
    font-weight: normal;
    color:#f0f1f3;
    font-weight: bold;
}
.contact form .btn:hover{
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}
